+ Responder ao Tópico



  1. #1

    Padrão Instalar RPM ... erro

    Ola

    Instalei o Red Hat 7.3, estou tentando instalar um pacote que baixei do site da RH só que ocorre o seguinte erro:

    rpm -ivh libpcap-0.6.2-16.i386.rpm
    erro: dependências falhadas:
    libc.so.6 (GLIBC_2.3) é necessário pelo libpcap-0.6.2.16
    Não encontrei esse tal libc.so.6 alguem sabe o que é isso?

    Obrigado

  2. #2
    cyrix
    Visitante

    Padrão Instalar RPM ... erro

    É alguma biblioteca necessária para você utilizar o libcap.

    Veja, como você mesmo mostra, ele precisa dessa biblioteca, que está dentro do RPM GLIBC_2.3.

    Tente instalar o glibc com o mesmo comando. Após isso, tente instalar o libcap

    []'s



  3. #3

    Padrão Instalar RPM ... erro

    Cara

    Vou fazer isso e qualquer dúvida volto a postar aki, vlws pelas dicas.

    T +

  4. #4

    Padrão Instalar RPM ... erro

    se num funcionar instala pelo fonte



  5. #5

    Padrão Instalar RPM ... erro

    Galera

    Primeiramente: ESTOU INICIANDO COM LINUX E NUM FAÇO IDÉIA DE COMO "INSTALAR PELO FONTE" mas agradeço pela sua dica.

    Seguinte, estou tentando instalar o kernel-source-2.4.18-3ipsec.rpm com o seguinte comando e então acontece isso:

    rpm -ivh --nodeps --force "nome_do_rpm"
    A preparar ... ############ [100%]
    1: kernel ############ [100%]
    Só que ai quando vou consultar rpm -q "nome_do_rpm" é impressa a mensagem de que "o pacote não está instalado" ou até mesmo quando tento instalar o Freeswan dah o erro:

    dependências falhadas
    ipsec-kernel é necessário pelo freeswan-1.99 ...
    Sinceramente num to entendo mais nada, estou fazendo algo de errado?? Se alguem puder dar um help, agradeço.

    Vlws

  6. #6
    Pombalonga
    Visitante

    Padrão Instalar RPM ... erro

    Fica mais fahcil:
    Digita ai: # apt-get --help
    Se vc o tiver instalado (eu naum cei c no RH 7.3 ele vem), digita: # man apt-get
    Lê o manual e depois instala com o apt-get, ele resolve prblms de dependências automahticamente.



  7. #7

    Padrão Instalar RPM ... erro

    Ola

    Baixei o apt-get a pouco, irei instala-lo e tentar novamente. Qualquer dúvida posto aki no fórum.
    To a tarde toda tentando resolver esse "simples" problema, mas tah dificil.

    T +